package com.ruoyi.project.reliability.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TDeviceExperienceMapper;
import com.ruoyi.project.reliability.domain.TDeviceExperience;
import com.ruoyi.project.reliability.service.ITDeviceExperienceService;

/**
 * 装置经验数据库Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-07
 */
@Service
public class TDeviceExperienceServiceImpl implements ITDeviceExperienceService
{
    @Autowired
    private TDeviceExperienceMapper tDeviceExperienceMapper;

    /**
     * 查询装置经验数据库
     *
     * @param id 装置经验数据库ID
     * @return 装置经验数据库
     */
    @Override
    public TDeviceExperience selectTDeviceExperienceById(Long id)
    {
        return tDeviceExperienceMapper.selectTDeviceExperienceById(id);
    }

    /**
     * 查询装置经验数据库列表
     *
     * @param tDeviceExperience 装置经验数据库
     * @return 装置经验数据库
     */
    @Override
    public List<TDeviceExperience> selectTDeviceExperienceList(TDeviceExperience tDeviceExperience)
    {
        return tDeviceExperienceMapper.selectTDeviceExperienceList(tDeviceExperience);
    }

    /**
     * 新增装置经验数据库
     *
     * @param tDeviceExperience 装置经验数据库
     * @return 结果
     */
    @Override
    public int insertTDeviceExperience(TDeviceExperience tDeviceExperience)
    {
        return tDeviceExperienceMapper.insertTDeviceExperience(tDeviceExperience);
    }

    /**
     * 修改装置经验数据库
     *
     * @param tDeviceExperience 装置经验数据库
     * @return 结果
     */
    @Override
    public int updateTDeviceExperience(TDeviceExperience tDeviceExperience)
    {
        return tDeviceExperienceMapper.updateTDeviceExperience(tDeviceExperience);
    }

    /**
     * 批量删除装置经验数据库
     *
     * @param ids 需要删除的装置经验数据库ID
     * @return 结果
     */
    @Override
    public int deleteTDeviceExperienceByIds(Long[] ids)
    {
        return tDeviceExperienceMapper.deleteTDeviceExperienceByIds(ids);
    }

    /**
     * 删除装置经验数据库信息
     *
     * @param id 装置经验数据库ID
     * @return 结果
     */
    @Override
    public int deleteTDeviceExperienceById(Long id)
    {
        return tDeviceExperienceMapper.deleteTDeviceExperienceById(id);
    }
}
